package com.jz.dmp.modules.controller.sys.bean;

import java.util.Date;

import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**用户表参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "用户表参数请求封装", description = "用户表参数请求封装")
public class DmpMemberRequest extends BasePageBean {
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;

	/**
	* 用户名称
	*/
	@ApiModelProperty(value = "用户名称")
	private String userName;

	/**
	* 登录密码
	*/
	@ApiModelProperty(value = "登录密码")
	private String userPassword;

	/**
	* 真实姓名
	*/
	@ApiModelProperty(value = "真实姓名")
	private String realName;

	/**
	* 联系电话
	*/
	@ApiModelProperty(value = "联系电话")
	private String userPhone;

	/**
	* 登录IP
	*/
	@ApiModelProperty(value = "登录IP")
	private String loginIp;

	/**
	* 最近登录时间起
	*/
	@ApiModelProperty(value = "最近登录时间起")
	private Date loginTimeStart;

	/**
	* 最近登录时间止
	*/
	@ApiModelProperty(value = "最近登录时间止")
	private Date loginTimeEnd;

	/**
	* 是否登录锁定(0：否，1：是)
	*/
	@ApiModelProperty(value = "是否登录锁定(0：否，1：是)")
	private String loginLocked;

	/**
	* 连续登录错误次数
	*/
	@ApiModelProperty(value = "连续登录错误次数")
	private Integer loginErrtimes;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
	private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private Integer createUserId;

	/**
	* 创建时间起
	*/
	@ApiModelProperty(value = "创建时间起")
	private Date createTimeStart;

	/**
	* 创建时间止
	*/
	@ApiModelProperty(value = "创建时间止")
	private Date createTimeEnd;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
	private Integer updateUserId;

	/**
	* 修改时间起
	*/
	@ApiModelProperty(value = "修改时间起")
	private Date updateTimeStart;

	/**
	* 修改时间止
	*/
	@ApiModelProperty(value = "修改时间止")
	private Date updateTimeEnd;
	
	@ApiModelProperty(value = "用户项目角色编码")
	private String mpRoleCode;
	
	@ApiModelProperty(value = "项目主键")
	private Integer projectId;
	
	@ApiModelProperty(value = "非该项目主键")//过滤已经是该项目的用户
	private Integer unChooseProjId;

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getUserPhone() {
		return userPhone;
	}

	public void setUserPhone(String userPhone) {
		this.userPhone = userPhone;
	}

	public String getLoginIp() {
		return loginIp;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public Date getLoginTimeStart() {
		return loginTimeStart;
	}

	public void setLoginTimeStart(Date loginTimeStart) {
		this.loginTimeStart = loginTimeStart;
	}

	public Date getLoginTimeEnd() {
		return loginTimeEnd;
	}

	public void setLoginTimeEnd(Date loginTimeEnd) {
		this.loginTimeEnd = loginTimeEnd;
	}

	public String getLoginLocked() {
		return loginLocked;
	}

	public void setLoginLocked(String loginLocked) {
		this.loginLocked = loginLocked;
	}

	public Integer getLoginErrtimes() {
		return loginErrtimes;
	}

	public void setLoginErrtimes(Integer loginErrtimes) {
		this.loginErrtimes = loginErrtimes;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}

	public String getMpRoleCode() {
		return mpRoleCode;
	}

	public void setMpRoleCode(String mpRoleCode) {
		this.mpRoleCode = mpRoleCode;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public Integer getUnChooseProjId() {
		return unChooseProjId;
	}

	public void setUnChooseProjId(Integer unChooseProjId) {
		this.unChooseProjId = unChooseProjId;
	}
	
}
