package com.jz.dmp.modules.dao;

import com.jz.dmp.modules.model.DvTaskRuleT;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务与规则关系表(DvTaskRuleT)表数据库访问层
 *
 * @author makejava
 * @since 2020-12-30 15:17:28
 */
public interface DvTaskRuleTDao {

    /**
     * 通过ID查询单条数据
     *
     * @param taskRuleId 主键
     * @return 实例对象
     */
    DvTaskRuleT queryById(Long taskRuleId);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DvTaskRuleT> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param dvTaskRuleT 实例对象
     * @return 对象列表
     */
    List<DvTaskRuleT> queryAll(DvTaskRuleT dvTaskRuleT);

    /**
     * 新增数据
     *
     * @param dvTaskRuleT 实例对象
     * @return 影响行数
     */
    int insert(DvTaskRuleT dvTaskRuleT);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param list List<DvTaskRuleT> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(List<DvTaskRuleT> list);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<DvTaskRuleT> 实例对象列表
     * @return 影响行数
     */
    int insertOrUpdateBatch(@Param("entities") List<DvTaskRuleT> entities);

    /**
     * 修改数据
     *
     * @param dvTaskRuleT 实例对象
     * @return 影响行数
     */
    int update(DvTaskRuleT dvTaskRuleT);

    /**
     * 通过主键删除数据
     *
     * @param taskRuleId 主键
     * @return 影响行数
     */
    int deleteById(Long taskRuleId);

    List<Long> getTaskRuleIdsList(Integer taskId) throws Exception;

    /**
     * 批量删除rule信息
     *
     * @param listRules
     * @return
     */
    void delRulesByIds(@Param("listRules") List<Long> listRules) throws Exception;
}