package com.jz.dmp.modules.service;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.bean.DmpProjectDto;
import com.jz.dmp.modules.controller.bean.DmpProjectRequest;
import com.jz.dmp.modules.controller.bean.IndexProjAzkabanStatuDto;
import com.jz.dmp.modules.model.DmpProject;
import com.jz.dmp.modules.model.DmpProjectSystemInfo;


/**
 * 项目信息服务接口
 * @author ybz
 *
 */
public interface DmpProjectService {
	
	/**条件分頁查询所有项目信息
	 * @param dmpProjectRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpProjectDto> findListWithPage(DmpProjectRequest dmpProjectRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有项目信息
	 * @param dmpProjectRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProjectDto> findList(DmpProjectRequest dmpProjectRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除项目信息
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**新增项目信息
	 * @param dmpProject
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpProject> add(DmpProject dmpProject, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: projAzkabanStatu  
	* @Description: TODO(统计azkaban任务运行情况)  
	* @param @param httpRequest
	* @param @return    参数  
	* @return BaseBeanResponse<IndexProjAzkabanStatuDto>    返回类型  
	* @throws  
	*/ 
	public BaseBeanResponse<IndexProjAzkabanStatuDto> projAzkabanStatu(Integer projectId,HttpServletRequest httpRequest)throws Exception;
	
	/**  
	* @Title: getProjectSystemInfo  
	* @Description: TODO(根据projectId获取项目配置信息)  
	* @param @param projectId
	* @param @return
	* @param @throws Exception    参数  
	* @return DmpProjectSystemInfo    返回类型  
	* @throws  
	*/ 
	public DmpProjectSystemInfo getProjectSystemInfo(Long projectId)throws Exception;


}
